/*
 * $Id: $
 * $Date: $
 *
 * Author:	Kenneth Chin-Purcell, AHPCRC
 *		Copyright @ 1992, Minnesota Supercomputer Center, Inc.
 *
 * Purpose:	magnifier
 *
 * RESTRICTED RIGHTS LEGEND
 *
 * Use, duplication, or disclosure of this software and its documentation
 * by the Government is subject to restrictions as set forth in subdivision
 * { (b) (3) (ii) } of the Rights in Technical Data and Computer Software
 * clause at 52.227-7013.
 *
 * $Log:$
 */

#ifndef _Puff_h
#define _Puff_h

#define XtNmagX		"magX"
#define XtNmagY		"magY"
#define XtCMag		"Mag"
#define XtNsrcX		"srcX"
#define XtCSrcX		"SrcX"
#define XtNsrcY		"srcY"
#define XtCSrcY		"SrcY"
#define XtNcursorWidth	"cursorWidth"
#define XtCCursorWidth	"CursorWidth"
#define XtNdelayMin	"delayMin"
#define XtCDelayMin	"DelayMin"
#define XtNdelayMax	"delayMax"
#define XtCDelayMax	"DelayMax"
#define XtNviewBox	"viewBox"
#define XtCViewBox	"ViewBox"

typedef struct _PuffClassRec*	PuffWidgetClass;
typedef struct _PuffRec*	PuffWidget;

extern WidgetClass puffWidgetClass;

#define PUFF_UP		0
#define PUFF_DOWN	1
#define PUFF_RIGHT	2
#define PUFF_LEFT	3
#define PUFF_RETURN	4

#endif /* _Puff_h */

/* Prototypes */

/* Puff.c */
int	PuffCatchError (Widget w, XErrorEvent *ee);
void	PuffSetLocation (Widget w, Window win, int x, int y, int isMouse);
void	PuffBump (Widget w, int direction);
void	PuffReleaseShm (Widget w);
