/*
 * $Id: $
 * $Date: $
 *
 * Author:	Kenneth Chin-Purcell, AHPCRC
 *		Copyright @ 1992, Minnesota Supercomputer Center, Inc.
 *
 * Purpose:	snooper 
 *
 * RESTRICTED RIGHTS LEGEND
 *
 * Use, duplication, or disclosure of this software and its documentation
 * by the Government is subject to restrictions as set forth in subdivision
 * { (b) (3) (ii) } of the Rights in Technical Data and Computer Software
 * clause at 52.227-7013.
 *
 * $Log:$
 */


typedef struct _FileInfo {
    int		server;
    int		pair;
    char 	*saved;
    long	saveSize;
    long	nsaved;
    long	needed;
    int		lsbFirst;
    long	(*Process)(void *, int, char *);
    XtInputId	xid;
} FileInfo;


typedef struct _Snoop {
    Widget	puff;
    XtAppContext app;
    FileInfo	*file;
    int		nfile;
    int		halfBaked;
} Snoop;

/* Prototypes */

/* snoop.c */
void	CreateSnoop (Widget puff, int dnum);
